Summary: A menu-driven file backup system.
Name: taper
Version: 6.9b
Release: 3mdk
License: GPL
Group: Archiving/Backup
BuildRequires: ncurses-devel gpm-devel
Source:  http://www.e-survey.net.au/taper/taper-%{version}.tar.bz2
URL: http://www.e-survey.net.au/taper/
#Patch0: taper-6.9-rh.patch.bz2
Patch: taper-6.9-sparc.patch.bz2
#Patch2: taper-6.9-fix.patch.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Taper is a backup and restoration program with a friendly user
interface.  Files may be backed up to a tape drive or to a hard disk.
The interface for selecting files to be backed up/restored is very
similar to the Midnight Commander interface, and allows easy traversal
of directories.  Taper supports recursive selection of directories.
Taper also supports backing up SCSI, ftape, zftape and removable drives.
By default, taper is set for incremental backups and automatic most
recent restore.

Install the taper package if you need a user friendly file backup and
restoration program.

%prep
%setup -q
#%patch0 -p1 -b .rh

%ifarch sparc
%patch -p1 -b .sparc
%endif

#%patch2 -p1

find . -name CVS -type d | xargs rm -rf

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man8
make install DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	ALTBIN=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*

%{_sbindir}/*
%{_mandir}/man8/taper.8*


%changelog
* Sat Jul 07 2001 Etienne Faure <etienne@mandrakesoft.com> 6.9b-3mdk
- rebuild on cluster
- removed unused patches

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.9b-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 6.9b-1mdk
- Release 6.9b
- BM + macrosfizication

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 6.9a-2mdk
- fix group (ready for 7.1)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 6.9a :
	- un needed patches (left sparc cause i don't have one to test)

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- No longer missing man page
- added symlinks in %{_bindir} -- taper can write to a file for a reason

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- removed file symlinks in %{_bindir} -- taper is a root only sysadmin tool
- changed -g to RPM_OPT_FLAGS for CFLAGS variable

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Sep 28 1998 Cristian Gafton <gafton@redhat.com>
- fixed bg_backup and bg_restore segv when called from command line

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- upgraded to 6.9.
- move to %{prefix}/{bin,sbin}
- sparc is big endian.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.8.4
- buildroot

* Tue Jan  6 1998 Otto Hammersmith <otto@redhat.com>
- readded -DGLIBC_2 to Makefile.common

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.8.0

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
